aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--elf/Makefile2
-rw-r--r--elf/tst-ldconfig-p.sh11
2 files changed, 7 insertions, 6 deletions
diff --git a/elf/Makefile b/elf/Makefile
index a32618a01f..8cf46ba782 100644
--- a/elf/Makefile
+++ b/elf/Makefile
@@ -2405,7 +2405,7 @@ $(objpfx)tst-ldconfig-X.out : tst-ldconfig-X.sh $(objpfx)ldconfig
$(evaluate-test)
$(objpfx)tst-ldconfig-p.out : tst-ldconfig-p.sh $(objpfx)ldconfig
- $(SHELL) $< '$(common-objpfx)' '$(test-wrapper-env)' \
+ $(SHELL) $< '$(common-objpfx)' '$(sysconfdir)' '$(test-wrapper-env)' \
'$(run-program-env)' > $@; \
$(evaluate-test)
diff --git a/elf/tst-ldconfig-p.sh b/elf/tst-ldconfig-p.sh
index ec937bf4ec..e966c4d124 100644
--- a/elf/tst-ldconfig-p.sh
+++ b/elf/tst-ldconfig-p.sh
@@ -23,11 +23,12 @@
# involves emulation when running ldconfig).
common_objpfx=$1
-test_wrapper_env=$2
-run_program_env=$3
+sysconfdir=$2
+test_wrapper_env=$3
+run_program_env=$4
-if ! test -r /etc/ld.so.cache; then
- echo "warning: /etc/ld.so.cache does not exist, test skipped"
+if ! test -r "${sysconfdir}/ld.so.cache"; then
+ echo "warning: ${sysconfdir}/ld.so.cache does not exist, test skipped"
exit 77
fi
@@ -46,7 +47,7 @@ errors=0
case $status in
(0)
if head -n 1 "$testout" | \
- grep -q "libs found in cache \`/etc/ld.so.cache'\$" ; then
+ grep -q "libs found in cache \`${sysconfdir}/ld.so.cache'\$" ; then
echo "info: initial string found" >>"$testout"
else
echo "error: initial string not found" >>"$testout"